liczby = ["", "jeden", "dwa", "trzy", "cztery",
              "piec", "szesc", "siedem", "osiem", "dziewiec",
              "dziesiec", "jedenascie", "dwanascie", "trzynascie",
              "czternascie", "pietnascie", "szczesnascie",
              "siedemnascie", "osiemnascie", "dziewietnascie"]

siatki = ["", "", "dwadziescia", "trzydziesci", "czterdziesci",
              "piecdziesiat", "szescdziesiat", "siedemdziesiat",
              "osiemdziesiat", "dziewiecdziesiat"]

setki = ["", "sto", "dwiescie", "trzysta", "czterysta", "piecset",
         "szescset", "siedemset", "osiemset", "dziewiecset"]

tysiace = ["tysiac", "tysiace", "tysiecy"]

miliony = ["milion", "miliony", "milionow"]

miliardy = ["miliard", "miliardy", "miliardow"]

arrRefs = [tysiace, miliony, miliardy]
multipliers = [int(1e3), int(1e6), int(1e9)]


def generate_three_digits(x):
    if (x == 0):
        return "zero"

    reszta = x % 100
    res = setki[x // 100]

    if res != "" and reszta > 0:
        res += " "

    if reszta < 20:
        res += liczby[reszta]
        return res

    res += siatki[reszta // 10]

    if reszta % 10 != 0:
        res += " " + liczby[reszta % 10]

    return res


def suffix(arr, x):
    if x == 0:
        return ""
    if x == 1:
        return arr[0]
    if x <= 4 or (x > 20 and (x % 10 >= 2 and x % 10 <= 4)):
        return arr[1]
    return arr[2]


def whichSuffix(i, x):
    if i == 0:
        return ""
    return suffix(arrRefs[i - 1], x)


def generate_string_from_number(x):
    v = []
    for i in range(6):
        cur3Digits = x % 1000
        curS = generate_three_digits(cur3Digits)
        if x >= 1000 and curS == "zero":
            curS = ""
        elif i > 0:
            curS += " " + whichSuffix(i, x)

        if curS != "":
            v.append(curS)

        x //= 1000
        if x == 0:
            break

    v.reverse()
    s = ""
    for i in range(len(v)):
        x = v[i]
        s += x
        if i != len(v) - 1:
            s += " "

    return s


def getMultiplier(s):
    for i in range(len(arrRefs)):
        if s in arrRefs[i]:
            return multipliers[i]

    return -1


def generateCur(toNum):
    merged = ""

    for i in range(len(toNum)):
        if i != 0:
            merged += " "
        merged += toNum[i]

    for i in range(1000):
        if generate_string_from_number(i) == merged:
            return i

    return -1


def solve(v, s):
    number = 0
    toNum = []
    for i in range(len(v)):
        mul = getMultiplier(v[i])
        if mul == -1:
            toNum.append(v[i])
        else:
            cur = generateCur(toNum)
            if cur < 0:
                print("NIE")
                return

            number += (cur * mul)
            toNum = []

        if len(toNum) > 3:
            print("NIE")
            return

    if len(toNum) > 0:
        cur = generateCur(toNum)
        if cur < 0:
            print("NIE")
            return

        number += cur
        toNum = []

    if number > 0 and number <= 1e9 and s == generate_string_from_number(number):
        print(number)
    else:
        print("NIE")


if __name__ == "__main__":
    s = input()
    v = s.split()
    solve(v, s)
